ceph:
  common:
    version: luminous
    cluster_name: ceph
    config:
      global:
        param1: value1
        param2: value1
        param3: value1
      mon:
        key: value
    fsid: a619c5fc-c4ed-4f22-9ed2-66cf2feca23d
    members:
    - name: cmn01
      host: 10.0.0.1
    - name: cmn02
      host: 10.0.0.2
    - name: cmn03
      host: 10.0.0.3
    keyring:
      admin:
        key: AQBHPYhZv5mYDBAAvisaSzCTQkC5gywGUp/voA==
        caps:
          mds: "allow *"
          mgr: "allow *"
          mon: "allow *"
          osd: "allow *"
  mon:
    enabled: true
    version: luminous
    keyring:
      mon:
        key: AQAnQIhZ6in5KxAAdf467upoRMWFcVg5pbh1yg==
        caps:
          mon: "allow *"
      admin:
        key: AQBHPYhZv5mYDBAAvisaSzCTQkC5gywGUp/voA==
        caps:
          mds: "allow *"
          mgr: "allow *"
          mon: "allow *"
          osd: "allow *"
  radosgw:
    enabled: true
    hostname: gw.ceph.lab
    keyring_user: radosgw.gateway
    keyring_path: /etc/ceph/keyring.radosgw.gateway
    bind:
      address: 10.10.10.1
      port: 8080
    identity:
      engine: keystone
      api_version: 3
      host: 10.10.10.100
      port: 5000
      user: admin
      password: password
      project: admin
      domain: default
    swift:
      versioning:
        enabled: true
      enforce_content_length: true
